@import "../../../style/index.scss";

.form{
  padding: 10px;
  margin: 10px 0;
  background-color: #ffffff;
  border-radius: 5px;
  
  box-shadow: 0px 0px 15px rgba($color: #ccffcc, $alpha: 1);

  &__group{
    display: flex;
    justify-content: space-between;
    width: calc( 100% - 20px);
    margin: 10px;
  }

  input,
  textarea{
    padding: 3px 5px;

    border:1px solid;
    border-radius: 5px;

    @include animate;
  }

  textarea{
    resize: none;
    
    padding: 5px;
    margin: 10px 0;
  }

  &__text{
    flex-direction: column;
  }

  input:hover,
  input:focus{
    border-color: $inputHover;
  }

  &__btn{
    background-color: #ffffff;
    font-size: 18px;
  }

  &__btn:hover{
    color: $inputHover;
  }

  &__title{
    font-size: 24px;
  }

   &__error{
    border-color: $errorColor !important;
  }
}